about summary refs log tree commit diff
path: root/contrib
diff options
context:
space:
mode:
authorMichael Biebl <biebl@debian.org>2025-07-15 08:31:19 +0200
committerMichael Biebl <biebl@debian.org>2025-07-15 08:31:19 +0200
commit582eb4472a0f3375042afb9026cbeb50e058a27d (patch)
tree65f78da0c024c43e669c6a9c23402e59b28a01ef /contrib
parent625e8ce60e826bde943487b8238884a9232e4562 (diff)
New upstream version 1.52.1 upstream/1.52.1
Diffstat (limited to 'contrib')
-rw-r--r--contrib/fedora/rpm/NetworkManager.spec1
-rwxr-xr-xcontrib/fedora/rpm/build_clean.sh1
-rwxr-xr-xcontrib/fedora/rpm/configure-for-system.sh1
-rwxr-xr-xcontrib/fedora/rpm/release.sh10
4 files changed, 9 insertions, 4 deletions
diff --git a/contrib/fedora/rpm/NetworkManager.spec b/contrib/fedora/rpm/NetworkManager.spec
index 2af0f446..22a1a49c 100644
--- a/contrib/fedora/rpm/NetworkManager.spec
+++ b/contrib/fedora/rpm/NetworkManager.spec
@@ -597,6 +597,7 @@ Preferably use nmcli instead.
 %endif
 	-Dnft=%{_sbindir}/nft \
 	-Diptables=%{_sbindir}/iptables \
+	-Dip6tables=%{_sbindir}/ip6tables \
 %if %{with dhclient}
 	-Ddhclient=%{_sbindir}/dhclient \
 %else
diff --git a/contrib/fedora/rpm/build_clean.sh b/contrib/fedora/rpm/build_clean.sh
index b1944d77..2dbca0e7 100755
--- a/contrib/fedora/rpm/build_clean.sh
+++ b/contrib/fedora/rpm/build_clean.sh
@@ -222,6 +222,7 @@ if [[ $NO_DIST != 1 ]]; then
         -Dconfig_dhcp_default=internal \
         -Dconfig_dns_rc_manager_default=auto \
         -Diptables=/usr/sbin/iptables \
+        -Dip6tables=/usr/sbin/ip6tables \
         -Dnft=/usr/bin/nft \
         || die "Error meson setup"
 
diff --git a/contrib/fedora/rpm/configure-for-system.sh b/contrib/fedora/rpm/configure-for-system.sh
index fff426bc..f0638591 100755
--- a/contrib/fedora/rpm/configure-for-system.sh
+++ b/contrib/fedora/rpm/configure-for-system.sh
@@ -368,6 +368,7 @@ meson setup\
     $(args_enable "$P_TEST" --werror) \
     -Dnft="${D_SBINDIR}/nft" \
     -Diptables="${D_SBINDIR}/iptables" \
+    -Dip6tables="${D_SBINDIR}/ip6tables" \
     -Ddhclient="${D_SBINDIR}/dhclient" \
     -Ddhcpcd=no \
     -Dconfig_dhcp_default="$P_DHCP_DEFAULT" \
diff --git a/contrib/fedora/rpm/release.sh b/contrib/fedora/rpm/release.sh
index 5a7e0c16..ff18cc5b 100755
--- a/contrib/fedora/rpm/release.sh
+++ b/contrib/fedora/rpm/release.sh
@@ -559,9 +559,11 @@ if [[ $GITLAB_TOKEN == "" ]]; then
 fi
 
 # This step is not necessary for authentication, we use it only to provide a meaningful error message.
-curl --request GET --header "PRIVATE-TOKEN: $GITLAB_TOKEN" \
-    "https://gitlab.freedesktop.org/api/v4/personal_access_tokens/self" &>/dev/null \
-    || die "failed to authenticate at gitlab.freedesktop.org with the private token"
+GITLAB_USER_ID=$(curl --request GET --header "PRIVATE-TOKEN: $GITLAB_TOKEN" \
+                      "https://gitlab.freedesktop.org/api/v4/personal_access_tokens/self" 2>/dev/null | jq ".user_id" || true)
+if [ -z "$GITLAB_USER_ID" ] || [ "$GITLAB_USER_ID" = "null" ]; then
+    die "failed to authenticate to gitlab.freedesktop.org with the private token"
+fi
 
 do_command git push "$ORIGIN" "${BRANCHES[@]}" || die "failed to to push branches ${BRANCHES[@]} to $ORIGIN"
 
@@ -640,4 +642,4 @@ fi
 
 if [[ $CREATE_RELEASE_FAIL == 1 ]]; then
     die "failed creating the release at gitlab.freedesktop.org. This was the last step, create it manually from the web UI"
-fi
\ No newline at end of file
+fi